Page 1 of 1

Error message after trying to update...

Posted: Wed Aug 15, 2007 10:38 pm
by wobblebottom
I got this error message while trying to update Bianca.

E: /var/cache/apt/archives/linux-headers-2.6.17-12_2.6.17.1-12.39_i386.deb: corrupted filesystem tarfile - corrupted package archive


I am a total newb when it comes to anything linux, please o' wise gurus, lend me your wisdom!

Posted: Sat Aug 18, 2007 3:33 pm
by Husse
It means literally what it says - corrupted filesystem tarfile
For some reason that file has become corrupted. In the world of computers this does not mean that it takes bribes :) but that it somehow is altered (in a way it should not be altered)
Remove the file

Code: Select all

sudo rm /var/cache/apt/archives/linux-headers-2.6.17-12_2.6.17.1-12.39_i386.deb
The next time you update, apt-get (=synaptic) will download the file again
As you see from the file name it's not used (other than in updating) - just archived so you don't have to download it again and again